Clarification of IPv6 Address Assignment Policy
Internet-Draft draft-ietf-6man-addr-assign-00
Brian E. Carpenter
The University of Auckland
School of Computer Science
PB 92019
Auckland 1142
New Zealand
brian.e.carpenter@gmail.com
Suresh Krishnan
Cisco Systems, Inc.
suresh.krishnan@gmail.com
D. Farmer
University of Minnesota
Office of Information Technology
Minneapolis MN 55455
United States of America
farmer@umn.edu
26 August 2024
Internet
6man
Internet-Draft
This document specifies the approval process for changes to the IPv6 Address Space registry. It also updates RFC 7249.
About This Document
Status information for this document may be found at https://datatracker.ietf.org/doc/draft-ietf-6man-addr-assign/.
Discussion of this document takes place on the 6MAN Working Group mailing list (mailto:ipv6@ietf.org), which is archived at https://mailarchive.ietf.org/arch/browse/ipv6/. Subscribe at https://www.ietf.org/mailman/listinfo/ipv6/.
Introduction
Internet Protocol Version 6 (IPv6) and its address space are currently defined by [STD86] and [RFC4291]. The management of the IPv6 address space was delegated to IANA by [RFC1881], some years before the current relationship between the IETF and IANA was formalized [RFC2860] and registry details were clarified [RFC7020], [RFC7249].
Occasionally, IPv6 address space allocations are performed outside the scope of routine allocations to regional address registries. For example, recently a substantial allocation was requested by an IETF document approved by the IESG [I-D.ietf-6man-sids].
The present document clarifies the status of RFC 1881 and the approval level needed for non-routine address allocations.
This clarification is necessary because RFC 1881, a joint publication of the IAB and IESG, is incorrectly listed in the RFC index at the time of writing as "legacy", whereas it remains current. Also the allocation policy in the IANA IPv6 Address Space registry [IANA1] is shown as "IESG approval", whereas for major allocations a more stringent policy is appropriate.
Approval Level of IPv6 Address Allocations
Portions of the IPv6 address space are shown in the registry as "Reserved by IETF". This is the address space held in reserve for future use if ever the current 125-bit unicast space (2000::/3) is found inadequate or inappropriate.
RFC 1881 did not specify an allocation policy for this. At some point, IANA listed "IESG approval". This is defined in [BCP26] as a rather weak requirement ("Although there is no requirement that the request be documented in an RFC, the IESG has the discretion to request documents...") and as "a fall-back mechanism in the case where one of the other allowable approval mechanisms cannot be employed...".
For something as important as the majority of the spare IPv6 address space, this is clearly insufficient. The present document replaces this by the "IETF Review" process as defined by BCP 26. It is not considered necessary to require the stricter "Standards Action" policy, because there might be cases where opening up a new range of address space did not in fact require a new protocol standard.
It may be noted that the recent allocation for [I-D.ietf-6man-sids], which was processed as a working group document, did indeed follow the more stringent "IETF Review" process proposed by this document. Indeed, the other two related registries [IANA2] [IANA3] do cite the "IETF Review" policy, consistently with RFC 7249.
This document therefore extends the first paragraph of section 2.3 of [RFC7249] as follows:
OLD:
The vast bulk of the IPv6 address space (approximately 7/8ths of the whole address space) is reserved by the IETF [RFC4291], with the expectation that further assignment of globally unique unicast address space will be made from this reserved space in accordance with future needs.
NEW:
The vast bulk of the IPv6 address space (approximately 7/8ths of the whole address space) is reserved by the IETF [RFC4291], with the expectation that further assignment of globally unique unicast address space will be made from this reserved space in accordance with future needs, through "IETF Review" as defined in [BCP26].
RFC Editor Considerations
The RFC Editor is requested to update the "Stream" information for [RFC1881] to "IAB" in place of "Legacy".
IANA Considerations
IANA is requested to update the "Registration Procedure(s)" section of the Internet Protocol Version 6 Address Space registry to show the policy as "IETF Review".
Security Considerations
Carefully reviewed address allocation mechanisms are necessary for any form of address-based security.
Acknowledgements
Useful comments were received from Bob Hinden, Philipp Tiesel, and others.
References
Normative References
[RFC8200]

Internet Protocol, Version 6 (IPv6) Specification
S. Deering
R. Hinden
July 2017
STD 86
RFC 8200
DOI 10.17487/RFC8200
[RFC8126]

Guidelines for Writing an IANA Considerations Section in RFCs
M. Cotton
B. Leiba
T. Narten
June 2017
BCP 26
RFC 8126
DOI 10.17487/RFC8126
[RFC4291]

IP Version 6 Addressing Architecture
R. Hinden
S. Deering
February 2006
RFC 4291
DOI 10.17487/RFC4291
Informative References
[RFC1881]

IPv6 Address Allocation Management
Internet Architecture Board
Internet Engineering Steering Group
December 1995
RFC 1881
DOI 10.17487/RFC1881
[RFC2860]

Memorandum of Understanding Concerning the Technical Work of the Internet Assigned Numbers Authority
B. Carpenter
F. Baker
M. Roberts
June 2000
RFC 2860
DOI 10.17487/RFC2860
[RFC7020]

The Internet Numbers Registry System
R. Housley
J. Curran
G. Huston
D. Conrad
August 2013
RFC 7020
DOI 10.17487/RFC7020
[RFC7249]

Internet Numbers Registries
R. Housley
May 2014
RFC 7249
DOI 10.17487/RFC7249
[I-D.ietf-6man-sids]

SRv6 Segment Identifiers in the IPv6 Addressing Architecture
Suresh Krishnan
Cisco
15 February 2024
Internet-Draft draft-ietf-6man-sids-06
[IANA1]

IPv6 Address Space registry
n.d.
[IANA2]

IPv6 Global Unicast Address Assignments
n.d.
[IANA3]

IANA IPv6 Special-Purpose Address Registry
n.d.
IPv6 Registry Title Inconsistencies
The authors would like to draw attention to inconsistencies in the titles for two of the IPv6 Address Registries: the "Internet Protocol Version 6 Address Space" registry [IANA1] and the "IPv6 Global Unicast Address Assignments" registry [IANA2]. These two titles are inconsistent with the titles for the "IANA IPv6 Special-Purpose Address Registry" [IANA3] and the similar IPv4 registries, the "IANA IPv4 Address Space Registry" and the "IANA IPv4 Special-Purpose Address Registry."
While these are mostly editorial issues, likely within IANA's control, confusion caused by these different titles could have easily contributed to not updating the Registry Procedures for the "Internet Protocol Version 6 Address Space" registry at the time of RFC 7249.
The "IANA IPv6 Address Space Registry" and the "IANA IPv6 Global Unicast Address Space Registry" are possibly more consistent titles for these registries.
Change Log [RFC Editor: please remove]
draft-carpenter-6man-addr-assign-00
- Original version
Draft-01
- Added author
- Added citations
- Small update to RFC 7249
- Added appendix on registry names
Draft-02
- Clarified some details
draft-ietf-6man-addr-assign-00
- Adopted by WG